Overview | Modules | Class Hierarchy | Classes | Members

# tlp::OpenGlConfigManager Class Reference

`#include <OpenGlConfigManager.h>`

Collaboration diagram for tlp::OpenGlConfigManager:

[legend]
List of all members.

## Detailed Description

Singleton used to manage OpenGl configuration.

Singleton used to manage OpenGl configuration

## Public Member Functions

- OpenGlErrorViewer * setErrorViewer (OpenGlErrorViewer *errorViewer)
- void checkDrivers ()
- void initGlew ()
- bool glewIsInit ()
- bool canUseGlew ()

## Static Public Member Functions

- static OpenGlConfigManager & getInst ()

## Member Function Documentation

bool tlp::OpenGlConfigManager::canUseGlew | ( |  | ) | `[inline]`

| Return if glew can be used

void tlp::OpenGlConfigManager::checkDrivers | ( |  | ) |

| Check if system has good graphics card drivers

static OpenGlConfigManager& tlp::OpenGlConfigManager::getInst | ( |  | ) | `[inline, static]`

| Return the current instance. If instance doesn't exist, create it.

bool tlp::OpenGlConfigManager::glewIsInit | ( |  | ) | `[inline]`

| Glew is init

void tlp::OpenGlConfigManager::initGlew | ( |  | ) |

| Init Glew

OpenGlErrorViewer* tlp::OpenGlConfigManager::setErrorViewer | ( | OpenGlErrorViewer * | errorViewer | ) |

| Change the error viewer and return the old one

Tulip Software by LaBRI Visualization Team 2001 - 2010